SecureAgentConnection (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.agent.client.SecureAgentConnection class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.agent.client
Class SecureAgentConnection

    java.lang.Object
      org.hyperic.hq.agent.client.AgentConnection
          org.hyperic.hq.bizapp.agent.client.SecureAgentConnection

    public class SecureAgentConnection

extends AgentConnection

An object which wraps an AgentConnection object, so as to provide SSL capabilities (associated with the CAMServerHandler's handleConnection method)

Constructor Summary
`SecureAgentConnection(Agent acv)`
`SecureAgentConnection(java.lang.String agentAddress, int agentPort, java.lang.String authToken)`

Method Summary
`protected java.net.Socket` | `getSocket()`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.agent.client.AgentConnection
`closeSocket, equals, getAgentAddress, getAgentPort, getCommandResult, hashCode, sendCommand, sendCommandHeaders`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecureAgentConnection

    public SecureAgentConnection(Agent acv)

### SecureAgentConnection

    public SecureAgentConnection(java.lang.String agentAddress,
                                 int agentPort,
                                 java.lang.String authToken)

Method Detail

### getSocket

    protected java.net.Socket getSocket()
                                 throws AgentConnectionException

  Overrides:
    `getSocket` in class `AgentConnection`
  Throws:
    `AgentConnectionException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.